/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.geotools.GpsSim;

import java.util.Date;
import java.text.SimpleDateFormat;

/**
 *
 * @author BURKAY
 */
public class Clock extends Thread {
    public Clock(){

    }
    public void run(){
        SimpleDateFormat df = new SimpleDateFormat("HH.mm:ss");
        while(true){
            try{
                SimulationInterface.clockMon.setText(df.format(new Date()));
                sleep(980);
                
            } catch(Exception ex){
                ex.printStackTrace();
            }
        }
    }

}
